#
# spec file for package python-debian (Version 0.1.16)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-debian
Version:        0.1.16
Release:        1.4
Summary:        Modules for Debian-related data formats
# debfile.py, arfile.py, debtags.py are release under GPL v3 or above
# everything else is GPLv2+
License:        GPL v2 or later; GPL v3 or later
Group:          Development/Libraries
Source0:        http://ftp.debian.org/debian/pool/main/p/python-debian/python-debian_%{version}.tar.gz
Url:            http://git.debian.org/?p=pkg-python-debian/python-debian.git
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if ((!0%{?suse_version}) || (0%{?suse_version} >= 1120))
BuildArch:      noarch
%endif
Requires:       python >= 2.4
BuildRequires:  python-devel python-setuptools

%description
This package provides Python modules that abstract many formats of
   Debian related files. Currently handled are: * Debtags
   information (debian.debtags module)

* debian/changelog (debian.changelog module)

* Packages files, pdiffs (debian.debian_support module)

* Control files of single or multiple RFC822-style paragraphs, e.g.
   debian/control, .changes, .dsc, Packages, Sources, Release, etc.
   (debian.deb822 module)

* Raw .deb and .ar files, with (read-only) access to contained files
and meta-information



%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{__python} setup.py clean

%files
%defattr(-,root,root,-)
%dir %{python_sitelib}/debian
%dir %{python_sitelib}/debian_bundle
%{python_sitelib}/*.py*
%{python_sitelib}/debian/*.py*
%{python_sitelib}/debian_bundle/__init__.py*
%{python_sitelib}/python_debian*

%doc README README.changelog README.deb822 HISTORY.deb822 ACKNOWLEDGEMENTS

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
